Update current preparation duration
curl --request POST \
--url https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/current-preparation-duration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currentPreparationDuration": 10
}
'import requests
url = "https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/current-preparation-duration"
payload = { "currentPreparationDuration": 10 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({currentPreparationDuration: 10})
};
fetch('https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/current-preparation-duration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "<string>",
"websiteId": "<string>",
"name": "Providencia",
"acceptDelivery": true,
"acceptServe": true,
"acceptGo": true,
"currentPreparationDuration": 123,
"currentDeliveryDuration": 123,
"phone": "<string>",
"address": {
"_id": "<string>",
"placeId": "<string>",
"address": "Av. Apoquindo 3000",
"addressLine2": "<string>",
"addressSecondary": "<string>",
"streetAddress": "<string>",
"extendedAddress": "<string>",
"locality": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"countryName": "<string>",
"location": {
"lat": -33.4489,
"lng": -70.6693
}
},
"externalId": "<string>",
"timezone": "America/Lima",
"schedule": {
"closedUntilDate": "2020-01-01T00:00:00.000Z",
"openPeriods": [
{
"daysOfWeek": [
123
],
"fromMinute": 123,
"toMinute": 123
}
],
"closedDays": [
"<string>"
]
}
}
}{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}Locales
Update current preparation duration
POST
/
ecommerce
/
stores
/
{storeId}
/
current-preparation-duration
Update current preparation duration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID Justo o ID externo del local.
Body
application/json
Tiempo de preparación en minutos.
Example:
10
⌘I